Subject: IPP> [Fwd: I-D ACTION:draft-ietf-urn-naptr-03.txt]

From: Randy Turner <[email-masked]>
Date: Wed, 05 Mar 1997 14:17:59 -0800

FYI,

Information on resolving URNs through the DNS.....

Randy

[email-masked] wrote:
> 
>  A Revised Internet-Draft is available from the on-line Internet-Drafts
>  directories. This draft is a work item of the Uniform Resource Names
>  Working Group of the IETF.
> 
>        Title     : Resolution of Uniform Resource Identifiers using the
>                    Domain Name System
>        Author(s) : R. Daniel, M. Mealling
>        Filename  : draft-ietf-urn-naptr-03.txt
>        Pages     : 14
>        Date      : 02/27/1997
> 
> Uniform Resource Locators (URLs) are the foundation of the World Wide Web,
> and are a vital Internet technology. However, they have proven to be
> brittle in practice. The basic problem is that URLs typically identify a
> particular path to a file on a particular host. There is no graceful way of
> changing the path or host once the URL has been assigned. Neither is there
> a graceful way of replicating the resource located by the URL to achieve
> better network utilization and/or fault tolerance. Uniform Resource Names
> (URNs) have been hypothesized as a adjunct to URLs that would overcome such
> problems. URNs and URLs are both instances of a broader class of
> identifiers known as Uniform Resource Identifiers (URIs).
> 
> This document describes a new DNS Resource Record, NAPTR (Naming Authority
> PoinTeR), that provides rules for mapping parts of URIs to domain names.
> By changing the mapping rules, we can change the host that is contacted to
> resolve a URI.  This will allow a more graceful handling of URLs over
> long time periods, and forms the foundation for a new proposal for
> Uniform Resource Names.
> 
> Internet-Drafts are available by anonymous FTP.  Login with the username
> "anonymous" and a password of your e-mail address.  After logging in,
> type "cd internet-drafts" and then
>      "get draft-ietf-urn-naptr-03.txt".
> A URL for the Internet-Draft is:
> ftp://ds.internic.net/internet-drafts/draft-ietf-urn-naptr-03.txt
> 
> Internet-Drafts directories are located at:
> 
>      o  Africa:  ftp.is.co.za
> 
>      o  Europe:  ftp.nordu.net
>                  ftp.nis.garr.it
> 
>      o  Pacific Rim: munnari.oz.au
> 
>      o  US East Coast: ds.internic.net
> 
>      o  US West Coast: ftp.isi.edu
> 
> Internet-Drafts are also available by mail.
> 
> Send a message to:  [email-masked]. In the body type:
>      "FILE /internet-drafts/draft-ietf-urn-naptr-03.txt".
> 
> NOTE: The mail server at ds.internic.net can return the document in
>       MIME-encoded form by using the "mpack" utility.  To use this
>       feature, insert the command "ENCODING mime" before the "FILE"
>       command.  To decode the response(s), you will need "munpack" or
>       a MIME-compliant mail reader.  Different MIME-compliant mail readers
>       exhibit different behavior, especially when dealing with
>       "multipart" MIME messages (i.e., documents which have been split
>       up into multiple messages), so check your local documentation on
>       how to manipulate these messages.
> 
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version
> of the Internet-Draft.
> 
>     ---------------------------------------------------------------
> 
>                          Access-Type: anon-ftp
>                                 Site: ds.internic.net
>        Link to Document    Directory: internet-drafts
>                                 Name: draft-ietf-urn-naptr-03.txt
>                                 Type: text/plain

Subject: I-D ACTION:draft-ietf-urn-naptr-03.txt
From: [email-masked]
Cc: [email-masked]
Date: Mon, 03 Mar 1997 09:24:11 -0500

 A Revised Internet-Draft is available from the on-line Internet-Drafts 
 directories. This draft is a work item of the Uniform Resource Names 
 Working Group of the IETF.                                                

       Title     : Resolution of Uniform Resource Identifiers using the 
                   Domain Name System                                      
       Author(s) : R. Daniel, M. Mealling
       Filename  : draft-ietf-urn-naptr-03.txt
       Pages     : 14
       Date      : 02/27/1997

Uniform Resource Locators (URLs) are the foundation of the World Wide Web, 
and are a vital Internet technology. However, they have proven to be 
brittle in practice. The basic problem is that URLs typically identify a 
particular path to a file on a particular host. There is no graceful way of
changing the path or host once the URL has been assigned. Neither is there 
a graceful way of replicating the resource located by the URL to achieve 
better network utilization and/or fault tolerance. Uniform Resource Names 
(URNs) have been hypothesized as a adjunct to URLs that would overcome such
problems. URNs and URLs are both instances of a broader class of 
identifiers known as Uniform Resource Identifiers (URIs). 

This document describes a new DNS Resource Record, NAPTR (Naming Authority 
PoinTeR), that provides rules for mapping parts of URIs to domain names. 
By changing the mapping rules, we can change the host that is contacted to 
resolve a URI.  This will allow a more graceful handling of URLs over 
long time periods, and forms the foundation for a new proposal for 
Uniform Resource Names.    

Internet-Drafts are available by anonymous FTP.  Login with the username
"anonymous" and a password of your e-mail address.  After logging in,
type "cd internet-drafts" and then
     "get draft-ietf-urn-naptr-03.txt".
A URL for the Internet-Draft is:
ftp://ds.internic.net/internet-drafts/draft-ietf-urn-naptr-03.txt
 
Internet-Drafts directories are located at:	
	                                                
     o  Africa:  ftp.is.co.za                    
	                                                
     o  Europe:  ftp.nordu.net            	
                 ftp.nis.garr.it                 
	                                                
     o  Pacific Rim: munnari.oz.au               
	                                                
     o  US East Coast: ds.internic.net           
	                                                
     o  US West Coast: ftp.isi.edu               
	                                                
Internet-Drafts are also available by mail.	
	                                                
Send a message to:  [email-masked]. In the body type: 
     "FILE /internet-drafts/draft-ietf-urn-naptr-03.txt".
							
NOTE: The mail server at ds.internic.net can return the document in
      MIME-encoded form by using the "mpack" utility.  To use this
      feature, insert the command "ENCODING mime" before the "FILE"
      command.  To decode the response(s), you will need "munpack" or
      a MIME-compliant mail reader.  Different MIME-compliant mail readers
      exhibit different behavior, especially when dealing with
      "multipart" MIME messages (i.e., documents which have been split
      up into multiple messages), so check your local documentation on
      how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader 
implementation to automatically retrieve the ASCII version
of the Internet-Draft.